Package org.tanukisoftware.wrapper.event

# Class WrapperCoreEvent

java.lang.Object
java.util.EventObject
org.tanukisoftware.wrapper.event.WrapperEvent
org.tanukisoftware.wrapper.event.WrapperCoreEvent

All Implemented Interfaces:
  `Serializable`

Direct Known Subclasses:
  `WrapperPingEvent`, `WrapperTickEvent`

public abstract class WrapperCoreEvent extends WrapperEvent
WrapperCoreEvents are used to notify the listener of the internal workings of the Wrapper. WARNING - Great care should be taken when receiving events of this type. They are sent from within the Wrapper's internal timing thread. If the listner takes too much time working with the event, Wrapper performance could be adversely affected. If unsure, it is recommended that events of this type not be included.

See Also:
  - Serialized Form

## Field Summary

### Fields inherited from class java.util.EventObject

`source`

## Constructor Summary

Constructors
Modifier
Constructor
Description
`protected`
`WrapperCoreEvent()`
Creates a new WrapperCoreEvent.

## Method Summary

Modifier and Type
Method
Description
`long`
`getFlags()`
Returns a set of event flags for which the event should be fired.

### Methods inherited from class java.util.EventObject

`getSource, toString`

### Methods inherited from class java.lang.Object

`clone, equals, finalize, getClass, hashCode, notify, notifyAll, wait, wait, wait`

## Constructor Details

### WrapperCoreEvent

protected WrapperCoreEvent()
Creates a new WrapperCoreEvent.

## Method Details

### getFlags

public long getFlags()
Returns a set of event flags for which the event should be fired. This value is compared with the mask supplied when when a WrapperEventListener is registered to decide which listeners should receive the event.

If subclassed, the return value of the super class should usually be ORed with any additional flags.

Overrides:
  `getFlags` in class `WrapperEvent`
Returns:
  a set of event flags.